[dpdk-users] Problems compiling DPDK for MLX4

Stephen Hemminger stephen at networkplumber.org
Thu Oct 11 22:12:26 CEST 2018


On Thu, 11 Oct 2018 12:11:01 -0700
Cliff Burdick <shaklee3 at gmail.com> wrote:

> The easy workaround is to install the mellanox OFED package with the flags
> --dpdk --upstream-libs.
> 
> On Thu, Oct 11, 2018 at 8:57 AM Anthony Hart <ahart at domainhart.com> wrote:
> 
> >
> > Having problems compiling DPDK for the Mellanox PMD.
> >
> > For dpdk-18-08 I get...
> >
> >   CC efx_phy.o
> > In file included from /root/th/dpdk-18.08/drivers/net/mlx4/mlx4_txq.c:35:0:
> > /root/th/dpdk-18.08/drivers/net/mlx4/mlx4_glue.h:16:31: fatal error:
> > infiniband/mlx4dv.h: No such file or directory
> >  #include <infiniband/mlx4dv.h>
> >                                ^
> > compilation terminated.
> > In file included from
> > /root/th/dpdk-18.08/drivers/net/mlx4/mlx4_intr.c:32:0:
> > /root/th/dpdk-18.08/drivers/net/mlx4/mlx4_glue.h:16:31: fatal error:
> > infiniband/mlx4dv.h: No such file or directory
> >  #include <infiniband/mlx4dv.h>
> >
> >
> > For dpdk-1711.3
> >
> >   CC mlx5.o
> > /root/th/dpdk-stable-17.11.3/drivers/net/mlx5/mlx5.c: In function
> > ‘mlx5_pci_probe’:
> > /root/th/dpdk-stable-17.11.3/drivers/net/mlx5/mlx5.c:921:21: error:
> > ‘struct ibv_device_attr_ex’ has no member named ‘device_cap_flags_ex’
> >     !!(device_attr_ex.device_cap_flags_ex &
> >                      ^
> > /root/th/dpdk-stable-17.11.3/drivers/net/mlx5/mlx5.c:922:7: error:
> > ‘IBV_DEVICE_RAW_IP_CSUM’ undeclared (first use in this function)
> >        IBV_DEVICE_RAW_IP_CSUM);
> >        ^
> > /root/th/dpdk-stable-17.11.3/drivers/net/mlx5/mlx5.c:922:7: note: each
> > undeclared identifier is reported only once for each function it appears in
> > /root/th/dpdk-stable-17.11.3/drivers/net/mlx5/mlx5.c:942:18: error:
> > ‘struct ibv_device_attr_ex’ has no member named ‘rss_caps’
> >     device_attr_ex.rss_caps.max_rwq_indirection_table_size;
> >                   ^
> >
> >
> > This is on Lentos 7.5 (3.10.0-862.14.4.el7.x86_64)

Current Mellanox drivers want to use rdma-core 18.0 and kernel 4.14.41 or above.
or OFED 4.3 or 4.4.   



More information about the users mailing list